# Class CIM_SchedulerUsed
extends CIM_ServiceServiceDependency

In order to remove queued packets, a process or Service (identified as a PacketSchedulingService) runs. This association describes the Dependency of the queue and its QueuingService on a SchedulingService, which empties it. The association is deprecated in lieu of associating Queuing Services to SchedulingElements, and SchedulingElements into SchedulingServices. The latter approach is very flexible regarding the implementations that can be modeled, and removes the need to track individual traffic streams using an artificial model property, TrafficClass.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProvidesServiceToElement
|
+--CIM_ServiceServiceDependency
|
+--CIM_SchedulerUsed

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_QueueToSchedule, CIM_SchedulingServiceToSchedule

Description

string

In order to remove queued packets, a process or Service (identified as a PacketSchedulingService) runs. This association describes the Dependency of the queue and its QueuingService on a SchedulingService, which empties it. The association is deprecated in lieu of associating Queuing Services to SchedulingElements, and SchedulingElements into SchedulingServices. The latter approach is very flexible regarding the implementations that can be modeled, and removes the need to track individual traffic streams using an artificial model property, TrafficClass.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SchedulerUsed | CIM_PacketSchedulingService
Dependent | CIM_SchedulerUsed | CIM_QueuingService

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
RestartService | boolean | CIM_ServiceServiceDependency
TypeOfDependency | uint16 | CIM_ServiceServiceDependency

## Class Methods